package com.weiqi.vo;


public class RouteVo {

    private int page;//第几页
    private int limit;//每页显示条数

    private String appid;

    private String mobile;

    private String message;

    private String appendid;

    private String sp;

    private String begintime;
    private String endtime;

    private Integer id;
    private Integer oldId;
    private Integer operatorType;//1增 2删 3改 6批量切换

    private Integer ruleindex;

    private String operators;


    private Boolean enabled;

    private String remark;
    private String appids;

    /**
     * 原sp路由（批量切换路由使用）
     */
    private String originalSp;
    /**
     * 目标sp路由（批量切换路由使用）
     */
    private String targetSp;

    /**
     * 批量切换数量
     */
    private int bacthChangeNum;


    public int getBacthChangeNum() {
        return bacthChangeNum;
    }

    public void setBacthChangeNum(int bacthChangeNum) {
        this.bacthChangeNum = bacthChangeNum;
    }

    public String getOriginalSp() {
        return originalSp;
    }

    public void setOriginalSp(String originalSp) {
        this.originalSp = originalSp;
    }

    public String getTargetSp() {
        return targetSp;
    }

    public void setTargetSp(String targetSp) {
        this.targetSp = targetSp;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getAppendid() {
        return appendid;
    }

    public void setAppendid(String appendid) {
        this.appendid = appendid;
    }

    public String getSp() {
        return sp;
    }

    public void setSp(String sp) {
        this.sp = sp;
    }

    public String getBegintime() {
        return begintime;
    }

    public void setBegintime(String begintime) {
        this.begintime = begintime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOldId() {
        return oldId;
    }

    public void setOldId(Integer oldId) {
        this.oldId = oldId;
    }

    public Integer getOperatorType() {
        return operatorType;
    }

    public void setOperatorType(Integer operatorType) {
        this.operatorType = operatorType;
    }

    public Integer getRuleindex() {
        return ruleindex;
    }

    public void setRuleindex(Integer ruleindex) {
        this.ruleindex = ruleindex;
    }

    public String getOperators() {
        return operators;
    }

    public void setOperators(String operators) {
        this.operators = operators;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAppids() {
        return appids;
    }

    public void setAppids(String appids) {
        this.appids = appids;
    }

    @Override
    public String toString() {
        return "RouteVo{" +
               "page=" + page +
               ", limit=" + limit +
               ", appid='" + appid + '\'' +
               ", mobile='" + mobile + '\'' +
               ", message='" + message + '\'' +
               ", appendid='" + appendid + '\'' +
               ", sp='" + sp + '\'' +
               ", begintime='" + begintime + '\'' +
               ", endtime='" + endtime + '\'' +
               ", id=" + id +
               ", oldId=" + oldId +
               ", operatorType=" + operatorType +
               ", ruleindex=" + ruleindex +
               ", operators='" + operators + '\'' +
               ", enabled=" + enabled +
               ", remark='" + remark + '\'' +
               ", appids='" + appids + '\'' +
               ", originalSp='" + originalSp + '\'' +
               ", targetSp='" + targetSp + '\'' +
               ", bacthChangeNum=" + bacthChangeNum +
               '}';
    }
}